<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Uses of Class ch.sebi.zuul.logic.items.ItemSlot</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ch.sebi.zuul.logic.items.ItemSlot";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/items/class-use/ItemSlot.html" target="_top">Frames</a></li>
<li><a href="ItemSlot.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class ch.sebi.zuul.logic.items.ItemSlot" class="title">Uses of Class<br>ch.sebi.zuul.logic.items.ItemSlot</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.items">ch.sebi.zuul.logic.items</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.map">ch.sebi.zuul.logic.map</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a> in <a href="../../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a> with parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">PickUpExecutor.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html#pickupItem-ch.sebi.zuul.logic.items.ItemSlot-int-int-ch.sebi.zuul.logic.Game-">pickupItem</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&nbsp;itemSlot,
          int&nbsp;slotNr,
          int&nbsp;amount,
          <a href="../../../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic">Game</a>&nbsp;game)</code>
<div class="block">Picks up a specific item</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.items">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a> in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> with type parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.HashMap&lt;java.lang.Integer,<a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#slots">slots</a></span></code>
<div class="block">The slots mapped to their slot number</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a> that return <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#getItemSlots--">getItemSlots</a></span>()</code>
<div class="block">Returns all slots stored in the inventory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/items/Inventory.html#getSlot-int-">getSlot</a></span>(int&nbsp;i)</code>
<div class="block">Returns the slot with the given slot number or null if the slot doesn't exist yet</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.map">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a> in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> with type parameters of type <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#items">items</a></span></code>
<div class="block">A list with all items which are in the room</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../ch/sebi/zuul/logic/map/package-summary.html">ch.sebi.zuul.logic.map</a> that return <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#getItems--">getItems</a></span>()</code>
<div class="block">Returns all items present in this room</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></code></td>
<td class="colLast"><span class="typeNameLabel">Room.</span><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/map/Room.html#getItemSlot-ch.sebi.zuul.logic.items.Item-">getItemSlot</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items">Item</a>&nbsp;item)</code>
<div class="block">Returns the item slot for the given item or null if the item does not exist</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/items/class-use/ItemSlot.html" target="_top">Frames</a></li>
<li><a href="ItemSlot.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
